package com.iamberry.wechat.service.news.dao;

import java.util.List;

import com.iamberry.wechat.core.entity.news.News;

public interface NewsDao {

	/**
	 * 获取所有的新闻内容
	 * @return
	 */
	public List<News> listAll();

	/**
	 * 添加新闻
	 * @param news
	 * @return
	 */
	public Integer addNews(News news);

	/**
	 * 获取一个新闻内容
	 * @param id
	 * @return
	 */
	public News getOne(Integer id);

	/**
	 * 修改
	 * @param news
	 * @return
	 */
	public Integer updateOne(News news);

	/**
	 * 递增访问量
	 * @param id
	 * @return
	 */
	public Integer updateAccess(Integer id);
	
	/**
	 * 递增分享量
	 * @param id
	 * @return
	 */
	public Integer updateShare(Integer id);

	/**
	 * 获取集合
	 * @param news
	 * @return
	 */
	List<News> listNews(News news);

	/**
	 *获取总数
	 * @param news
	 * @return
	 */
	Integer getCountnews(News news);
}
